<template>
  <div id="app">
    <header-component></header-component>
    <div class="content">
      <rooftop-revolution></rooftop-revolution>
    </div>
  </div>
</template>

<script>
import HeaderComponent from "./components/Header.vue";
import RooftopRevolution from "./components/RooftopRevolution.vue";


export default {
  name: 'App',
  components: {
    HeaderComponent,
    RooftopRevolution
  }
}
</script>

<style>
@import './assets/styles/variables.scss';

#app {
  font-family: Gilroy, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: var(--color-default);
  letter-spacing: -.2px;

  /* text-align: center; */
  /* margin-top: 60px; */
}

.btn-primary {
  color: var(--color-white-base);
  background-color: var(--color-pink-base);
  border-radius: var(--radius-large);
  border: transparent;
}

.btn-primary:hover {
  background-color: var(--color-pink-dark);
}

.btn-primary:active {
  background-color: var(--color-pink-light) !important;
}

.content {
  margin-bottom: 0;
  padding-top: 5rem;
}

.error {
  margin-top: 0.25rem;
  color: var(--color-red-base);
  font-size: .875rem;
}

.card {
  padding: 1.5rem;
  border-radius: var(--radius-medium);
  box-shadow: var(--shadow-small);
  background-color: var(--color-white-base);
  margin: 20px;
}

h3 {
  font-size: 2rem;
  line-height: 1.15;
  letter-spacing: -1px;
  text-transform: none;
  --top-crop: -0.17em;
  --bottom-crop: -0.24em;
  color: rgb(38, 46, 54);
  text-align: left;
  padding: 0;
  padding-bottom: 15px;
  margin: 0;
  font-weight: 700;
}
</style>
